<?php
// File: load_messages.php

session_start();

// Ensure user is logged in and chat partner is set
if (!isset($_SESSION['username']) || !isset($_GET['chat_with'])) {
    http_response_code(403);
    exit('Unauthorized access');
}

$username = $_SESSION['username'];
$chat_with = $_GET['chat_with'];

// Chat log file for the two users
$chat_log_file = "chats/" . min($username, $chat_with) . "_" . max($username, $chat_with) . ".txt";

// Load chat history
if (file_exists($chat_log_file)) {
    $chat_history = file($chat_log_file, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
    foreach ($chat_history as $line) {
        echo htmlspecialchars($line) . "<br>";
    }
} else {
    echo "No messages yet.";
}
?>
